#!/bin/bash -e

on_chroot << EOF
if [ -d /home/octoprint ]; then
  cd /home/octoprint || exit 1
  mkdir OctoPrint || exit 1
  cd OctoPrint || exit 1
  virtualenv venv || exit 1
  source venv/bin/activate || exit 1
  pip install pip --upgrade || exit 1
  pip install octoprint || exit 1
fi
EOF
